import FileUploadForm from './components/file-upload-form';
import { Card, CardContent, CardDescription, CardHeader, CardTitle } from "@/components/ui/card";
import { UploadCloud } from 'lucide-react';

export default function UploadPage() {
  return (
    <div className="max-w-2xl mx-auto">
      <Card className="shadow-xl">
        <CardHeader className="text-center">
          <UploadCloud className="mx-auto h-16 w-16 text-primary mb-4" />
          <CardTitle className="text-3xl font-bold tracking-tight font-headline">Upload File</CardTitle>
          <CardDescription>Choose a file from your device to store in VividCDN.</CardDescription>
        </CardHeader>
        <CardContent>
          <FileUploadForm />
        </CardContent>
      </Card>
    </div>
  );
}
