export interface FileItem {
  id: string;
  name: string;
  type: string; // Mime type or a general category like 'image', 'document'
  size: number; // in bytes
  uploadDate: string; // ISO string
  url: string; // Path to view the file metadata
  extension: string; // e.g. 'jpg', 'pdf'
}
